using System;
using System.Collections.Generic;
using MsBox.Avalonia;
using MsBox.Avalonia.Enums;
using ReactiveUI;

namespace AvaloniaApplication10.ViewModels
{
	public class Page1ViewModel : ReactiveObject
	{
		string _message = " ";

        public string Message 
		{ 
			get => _message; 
			set => this.RaiseAndSetIfChanged(ref _message, value); 
		}

		public async void changeMessage()
		{
			Message = ", ";
			ButtonResult result =  await MessageBoxManager.GetMessageBoxStandard("  ","   ",ButtonEnum.YesNo).ShowAsync();

			switch(result)
			{
				case ButtonResult.Yes:
				{
                        await MessageBoxManager.GetMessageBoxStandard("  ", "", ButtonEnum.Ok).ShowAsync();
						break;
					}
					case ButtonResult.No:
					{
                        await MessageBoxManager.GetMessageBoxStandard("  ", "", ButtonEnum.Ok).ShowAsync();
						break;
					}
			}
		}
    }
}